Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Namespaces | Variables
ezpresttoken.php File Reference

Go to the source code of this file.

## Namespaces
| kernel

## Variables
| $def = new ezcPersistentObjectDefinition()
$def | table = 'ezprest_token'
$def | idProperty = new ezcPersistentObjectIdProperty()
$def idProperty | columnName = 'id'
$def idProperty | propertyName = 'id'
$def idProperty | generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentManualGenerator' )
$def idProperty | propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING
$def | properties ['refresh_token'] = new ezcPersistentObjectProperty()
$def | properties ['expirytime'] = new ezcPersistentObjectProperty()
$def | properties ['client_id'] = new ezcPersistentObjectProperty()
$def | properties ['user_id'] = new ezcPersistentObjectProperty()
$def | properties ['scope'] = new ezcPersistentObjectProperty()

## Variable Documentation

## ◆ $def

return $def = new ezcPersistentObjectDefinition()

Definition at line 14 of file ezpresttoken.php.

## ◆ columnName

$def properties ['scope'] columnName = 'id'

Definition at line 19 of file ezpresttoken.php.

## ◆ generator

$def idProperty generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentManualGenerator' )

Definition at line 21 of file ezpresttoken.php.

## ◆ idProperty

$def idProperty = new ezcPersistentObjectIdProperty()

Definition at line 18 of file ezpresttoken.php.

## ◆ properties [1/5]

$def properties[ 'client_id'] = new ezcPersistentObjectProperty()

Definition at line 35 of file ezpresttoken.php.

## ◆ properties [2/5]

$def properties[ 'expirytime'] = new ezcPersistentObjectProperty()

Definition at line 29 of file ezpresttoken.php.

## ◆ properties [3/5]

$def properties[ 'refresh_token'] = new ezcPersistentObjectProperty()

Definition at line 24 of file ezpresttoken.php.

## ◆ properties [4/5]

$def properties[ 'scope'] = new ezcPersistentObjectProperty()

Definition at line 46 of file ezpresttoken.php.

## ◆ properties [5/5]

$def properties[ 'user_id'] = new ezcPersistentObjectProperty()

Definition at line 40 of file ezpresttoken.php.

## ◆ propertyName

$def properties ['scope'] propertyName = 'id'

Definition at line 20 of file ezpresttoken.php.

## ◆ propertyType

$def properties ['scope'] propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING

Definition at line 22 of file ezpresttoken.php.

## ◆ table

$def table = 'ezprest_token'

Definition at line 15 of file ezpresttoken.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.